## gnue-forms-0.6.3.zip

=== po/Makefile ===
DOMAIN = gnue-forms

#XGETTEXT = xgettext --language=Python
XGETTEXT = pygettext --keyword="u_"

POTFILE = $(DOMAIN).pot
POFILES = $(shell ls *.po)
GMOFILES = $(shell ls *.po | sed -e "s/\.po/\.gmo/")

.SUFFIXES:
.SUFFIXES: .po .gmo

gmo: $(GMOFILES)

update-po:
	rm -f STATISTICS
	cd ../src; $(XGETTEXT) --output=../po/$(POTFILE) `find * -name '*.py'`
	for i in $(POFILES); do msgmerge --output-file=$$i.tmp $$i $(POTFILE) && mv $$i.tmp $$i; done
	make gmo

%.gmo: %.po
	echo -n "$*: " >> STATISTICS
	(LANGUAGE=C msgfmt --statistics --output-file=$@ $*.po 2>&1) | grep translated >> STATISTICS

.PHONY: gmo update-po

=== packaging/debian/changelog ===
gnue-forms (0.6.3-0) unstable; urgency=low

  * Unofficial Debian package

 -- GNU Enterprise Team <gnue-dev@gnu.org>  Fri, 20 Nov 2009 19:24:29 +0000

=== packaging/debian/control ===
Source: gnue-forms
Section: interpreters
Priority: optional
Maintainer: Andrew Mitchell <ajmitch@gnu.org>
Build-Depends-Indep: debhelper (>= 4.1.25), cdbs (>= 0.4.43), python-all-dev, python-support (>= 0.5.3), gnue-common (>= 0.6.8)
Standards-Version: 3.6.1

Package: gnue-forms
Architecture: all
Depends: ${python:Depends}, python-support (>= 0.5.3), gnue-common (>= 0.6.8)
Recommends: python-wxgtk2.6 | python-qt3
Description: Generator for interactive data entry screens
 GNU Enterprise Forms (GNUe Forms) is a generator for data aware user
 interfaces with support for different platforms and data sources.
 From an XML file containing both the layout definition and the program logic
 required, GNUe Forms generates native interactive data entry screens for a
 number of user interface frameworks, including GNOME, KDE, Mac OSX, Microsoft
 Windows, and a curses based text interface. GNUe Forms can interact with all
 data sources supported by GNUe Common, which includes GNUe AppServer, SQLite,
 MySQL, Firebird, PostgreSQL, MaxDB, or plain CSV files.

=== packaging/debian/rules ===
#!/usr/bin/make -f
# Written by Jeff Bailey in 2003 and modified by Reinhard Müller in 2007
# This Makefile is in the public domain

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_PYTHON_SYSTEM = pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# We only want to see error messages in the output.
DEB_PYTHON_SETUP_CMD += --quiet

# Prevent build_scripts from adding Python version number to shebang-line
# (Either I don't understand something, or this is a point where CDDB doesn't
# conform to the Python policy).
DEB_PYTHON_BUILD_ARGS += --executable=/usr/bin/python
